/*
 * Vintage computing challenge, 2021
 *
 * This entry by Gordon Henderson, bcpl@drogon.net
 *************************************************************
 */

GET "libhdr.h"

STATIC
  { tWidth = 80 }

LET showBranch (cones) BE
{
  LET spaces = (tWidth - cones) / 2

  FOR space = 1 TO spaces DO wrch (' ')
  FOR cone  = 1 TO cones  DO wrch ('**')

  newline ()
}


LET start () = VALOF
{
  LET tree   = TABLE 1,3,5,7, 3,7,11,13, 5,9,17,23, 3,3,0
  LET branch = 0
  LET cones  = ?

  cones := tree!branch
  UNTIL cones = 0 DO
  {
    showBranch (cones)
    branch := branch + 1
    cones  := tree!branch
  }

  RESULTIS 0
}
